use chrono::{DateTime, Utc};
use serde::Serialize;

#[derive(Serialize, Queryable)]
pub struct User {
    id: Option<i64>,
    pub nickname: Option<String>,
    pub pronouns: Option<String>,
    pub address_1_name: Option<String>,
    pub address_2_additional: Option<String>,
    pub address_4_street: Option<String>,
    pub adress_house_number: Option<String>,
    pub adress_city_code: Option<String>,
    pub adress_country: Option<String>,
    pub ehrenaemter: Option<String>,
    pub gravatar_email: Option<String>,
    pub freitext: Option<String>,
}

#[derive(Serialize, Queryable)]
pub struct UserSkill {
    pub id: Option<i64>,
    pub user_id: i64,
    pub skill_id: i64,
    pub level: i64,
}

#[derive(Serialize, Queryable)]
pub struct UserLanguage {
    id: i64,

    user_id: i64,
    language_id: i64,
    level: i32,
}

#[derive(Serialize, Queryable)]
pub struct Skill {
    pub id: Option<i64>,
    pub name: Option<String>,
}

#[derive(Serialize, Queryable)]
pub struct UserExperience {
    pub id: i64,
    pub user_id: i64,
    pub description: String,
    pub start: DateTime<Utc>,
    pub end: DateTime<Utc>,
}

#[derive(Serialize, Queryable)]
pub struct UserSearchTopic {
    id: i64,
    user_id: i64,
    topic_id: i64,
}

#[derive(Serialize, Queryable)]
pub struct UserContact {
    id: i64,
    user_id: i64,
    contact_type_id: i64,
    content_: String,
}

#[derive(Serialize, Queryable)]
pub struct Topic {
    pub id: Option<i64>,
    pub name: Option<String>,
}

#[derive(Serialize, Queryable)]
pub struct Language {
    pub id: Option<i64>,
    pub name: Option<String>,
}

#[derive(Serialize, Queryable)]
pub struct Experience {
    pub id: Option<i64>,
    pub name: Option<String>,
}

#[derive(Serialize, Queryable)]
pub struct ContactType {
    pub id: Option<i64>,
    pub name: Option<String>,
}
