table! {
    contact_types (id) {
        id -> Nullable<BigInt>,
        name -> Nullable<Text>,
    }
}

table! {
    experiences (id) {
        id -> Nullable<BigInt>,
        name -> Nullable<Text>,
    }
}

table! {
    languages (id) {
        id -> Nullable<BigInt>,
        name -> Nullable<Text>,
    }
}

table! {
    skills (id) {
        id -> Nullable<BigInt>,
        name -> Nullable<Text>,
    }
}

table! {
    topics (id) {
        id -> Nullable<BigInt>,
        name -> Nullable<Text>,
    }
}

table! {
    user_contacts (id) {
        id -> Nullable<BigInt>,
        user_id -> BigInt,
        contact_type_id -> BigInt,
        content_ -> Nullable<Text>,
    }
}

table! {
    user_experiences (id) {
        id -> Nullable<BigInt>,
        user_id -> BigInt,
        description -> Nullable<Text>,
        start -> Nullable<Date>,
        end -> Nullable<Date>,
    }
}

table! {
    user_languages (id) {
        id -> Nullable<BigInt>,
        user_id -> BigInt,
        language_id -> BigInt,
        level -> Nullable<Integer>,
    }
}

table! {
    user_search_topics (id) {
        id -> Nullable<BigInt>,
        user_id -> BigInt,
        topic_id -> BigInt,
    }
}

table! {
    user_skills (id) {
        id -> Nullable<BigInt>,
        user_id -> BigInt,
        skill_id -> Nullable<BigInt>,
        level -> Nullable<Integer>,
    }
}

table! {
    users (id) {
        id -> Nullable<BigInt>,
        nickname -> Nullable<Text>,
        pronouns -> Nullable<Text>,
        address_1_name -> Nullable<Text>,
        address_2_additional -> Nullable<Text>,
        address_4_street -> Nullable<Text>,
        adress_house_number -> Nullable<Text>,
        adress_city_code -> Nullable<Text>,
        adress_country -> Nullable<Text>,
        Ehrenaemter -> Nullable<Text>,
        gravatar_email -> Nullable<Text>,
        Freitext -> Nullable<Text>,
    }
}

joinable!(user_contacts -> contact_types (contact_type_id));
joinable!(user_contacts -> users (user_id));
joinable!(user_experiences -> users (user_id));
joinable!(user_languages -> languages (language_id));
joinable!(user_languages -> users (user_id));
joinable!(user_search_topics -> topics (topic_id));
joinable!(user_search_topics -> users (user_id));
joinable!(user_skills -> skills (skill_id));
joinable!(user_skills -> users (user_id));

allow_tables_to_appear_in_same_query!(
    contact_types,
    experiences,
    languages,
    skills,
    topics,
    user_contacts,
    user_experiences,
    user_languages,
    user_search_topics,
    user_skills,
    users,
);
