extern crate chrono;
#[macro_use]
extern crate diesel;
extern crate serde;

pub mod db;

#[cfg(test)]
mod tests {
    use crate::db::models::User;
    use crate::db::schema::users::dsl::*;

    use diesel::prelude::*;
    use diesel::Connection;
    use diesel::SqliteConnection;

    fn establish_connection() -> SqliteConnection {
        let database_url = "test.db";
        SqliteConnection::establish(&database_url)
            .unwrap_or_else(|_| panic!("Error connecting to {}", database_url))
    }

    #[test]
    fn list_users() {
        let connection = establish_connection();
        let all_users = users
            .load::<User>(&connection)
            .expect("Error loading users");

        println!("Displaying {} users", all_users.len());
        for user in all_users {
            println!("{:?}", user.nickname.unwrap());
        }
    }
}
