use crate::{sqlite3::db::models};
use actix_web::{ web, get, Responder };

use crate::DbPool;
use diesel::prelude::*;


#[get("/skills")]
async fn skills(pool: web::Data<DbPool>) -> impl Responder
{
    use crate::sqlite3::db::schema::skills::dsl::*;
    let conn = pool.get().expect("couldn't get db connection from pool");

    // use web::block to offload blocking Diesel code without blocking
    // server thread
    let r = web::block(move || skills.load::<models::Skill>(&conn)) 
        .await
        .map_err(|e| {
            eprintln!("{}", e);
//	    HttpResponse::InternalServerError().reason("").finish()
        });
    web::Json(r.unwrap())
}

#[get("/users/profiles")]
async fn profiles(pool: web::Data<DbPool>) -> impl Responder
{
    use crate::sqlite3::db::schema::users::dsl::*;
    let conn = pool.get().expect("couldn't get db connection from pool");

    // use web::block to offload blocking Diesel code without blocking
    // server thread
    let r = web::block(move || users.load::<models::User>(&conn)) 
        .await
        .map_err(|e| {
            eprintln!("{}", e);
//	    HttpResponse::InternalServerError().reason("").finish()
        });
    web::Json(r.unwrap())
}

// ----------------
#[get("/languages")]
async fn languages(pool: web::Data<DbPool>) -> impl Responder
{
    use crate::sqlite3::db::schema::languages::dsl::*;
    let conn = pool.get().expect("couldn't get db connection from pool");

    // use web::block to offload blocking Diesel code without blocking
    // server thread
    let r = web::block(move || languages.load::<models::Language>(&conn)) 
        .await
        .map_err(|e| {
            eprintln!("{}", e);
//	    HttpResponse::InternalServerError().reason("").finish()
        });
    web::Json(r.unwrap())
}



//GET `/languages/{id}/icon`

//#[get("/skills/{id}")]
//pub /*async*/ fn skills(state: web::Data<AppState>) -> Result<impl Responder>// {
//    let results = schema::skills::table.load::<models::Skill>(&state.db);
    
//    match results {
//            Ok(skill) => Ok(HttpResponse::Ok().json(skill)),
//            Err(_) => Ok(HttpResponse::InternalServerError().into()),
//        }
 
//}

//#[get("/{id}/{name}/index.html")]
//pub async fn index(  web::Path((id, name)): web::Path<(u32, String)>)
//		 -> impl Responder {
//    format!("Hello {}! id:{}", name, id)
//}

//#[get("/projects/{id}")]
//pub async fn projects(web::Path(id): web::Path<u32>) -> impl Responder {
//    format!("Project id:{}", id)
//}

